Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 606680 - app-backup/holland-1.0.14 version bump
Summary: app-backup/holland-1.0.14 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-21 10:33 UTC by Opportunist
Modified: 2020-07-28 18:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Opportunist 2017-01-21 10:33:53 UTC
1.0.14 - Nov 17, 2016
holland

    A fix for launchpad bug #1220841 caused plugins that used "SHOW SLAVE STATUS" via the holland mysql lib to fail with an "unknown encoding: binary" error. The changes for LP #1220841 have been reverted.

holland-mysqldump

    A bug was introduced in 1.0.12 which caused mysqldump's lock-method "auto-detect" option to always use lock-tables under MySQL 5.0 environments. (Fixes GH#148)


1.0.12 - Feb 8, 2016
holland

    The "holland" command no longer attempts to suppress log output when output is not to a terminal. Previously this was done when either the --quiet options was used or if holland detected it was not writing to a console. Now the "holland --quiet" option must be used to suppress output or output can be redirected via standard shell stdio facilities. (Fixes GH#98)
    Hooks are no longer run during a dry-run (Fixes GH#121; Thanks Mike Griffin!)
    Holland now supports gpg as a compression option for all backup plugins (Thanks to Ryan Cleere for the contribution and Tim Soderstrom for documenting the improvement) GH#95
    Added contrib/holland-commvault; See contrib/holland-commvault/README for a description of this module.

holland-mysqldump

    Various MySQL metadata queries used by the mysqldump plugin were not compatible with MySQL-python 1.2.5 due to the way parameters were passed. (Fixes GH#106).
    exclude-invalid-views will now handle invalid views using an illegal mix of collation (Fixes LP#1207852).
    exclude-invalid-views handles unexpected mysql errors more gracefully now. (Fixes LP#1207852)
    lock-method = auto-detect now considers memory, myisam_mrg and federated engines as transactional when determining whether to use mysqldump --single-transaction (LP #1081261)
    mysqldump failed to detect invalid views under mysql 5.0 (LP #1262352)
    invalid strings in show slave status are now handled more gracefully (LP #1220841)
    Estimating the size of a backup would fail under MariaDB 10.1 due to the numeric value being returned as a Decimal rather than an int object, primarily causing later formatting of the estimated values to fail due to mixing decimal and integer arithemetic. holland now ensures these values are integers. (GH#125)

holland-pgdump

    missing pg_dump/pg_dumpall commands are now handled more gracefully (LP #1206202)
    The connection used for discovering databases to backup is now closed before pg_dump commands are run (LP #1236618)
    special characters in the provided password are escaped when generating PGPASSFILE. (GH#116)

holland-xtrabackup

    holland-xtrabackup now uses innobackupex as innobackupex binary as innobackupex-1.5.1 has been deprecated upstream for several releases
    holland-xtrabackup previously failed to compress xbstream archives regardless of the [compression] configuration for the backupset. (LP#1246562)


https://github.com/holland-backup/holland
Comment 1 Larry the Git Cow gentoo-dev 2020-07-28 18:47:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3831172264494f42d621e760593f4d066900d922

commit 3831172264494f42d621e760593f4d066900d922
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-07-28 18:45:29 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-07-28 18:45:29 +0000

    */*: Drop more Py2 last-rited pkgs
    
    Bug: https://bugs.gentoo.org/715966
    Closes: https://bugs.gentoo.org/714628
    Closes: https://bugs.gentoo.org/606680
    Closes: https://bugs.gentoo.org/686238
    Closes: https://bugs.gentoo.org/710214
    Closes: https://bugs.gentoo.org/710028
    Closes: https://bugs.gentoo.org/710032
    Closes: https://bugs.gentoo.org/656934
    Closes: https://bugs.gentoo.org/592718
    Closes: https://bugs.gentoo.org/446122
    Closes: https://bugs.gentoo.org/547210
    Closes: https://bugs.gentoo.org/359785
    Closes: https://bugs.gentoo.org/571396
    Closes: https://bugs.gentoo.org/600754
    Closes: https://bugs.gentoo.org/677830
    Closes: https://bugs.gentoo.org/710716
    Closes: https://bugs.gentoo.org/651940
    Closes: https://bugs.gentoo.org/695132
    Closes: https://bugs.gentoo.org/708978
    Closes: https://bugs.gentoo.org/710058
    
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 app-backup/holland-backup-example/Manifest         |   1 -
 .../holland-backup-example-1.0.10.ebuild           |  39 -----
 app-backup/holland-backup-example/metadata.xml     |   5 -
 app-backup/holland-backup-pgdump/Manifest          |   1 -
 .../holland-backup-pgdump-1.0.10.ebuild            |  38 -----
 app-backup/holland-backup-pgdump/metadata.xml      |   5 -
 app-backup/holland-backup-random/Manifest          |   1 -
 .../holland-backup-random-1.0.10.ebuild            |  39 -----
 app-backup/holland-backup-random/metadata.xml      |   5 -
 app-backup/holland-backup-sqlite/Manifest          |   1 -
 .../holland-backup-sqlite-1.0.10.ebuild            |  39 -----
 app-backup/holland-backup-sqlite/metadata.xml      |   5 -
 app-backup/holland-lib-common/Manifest             |   1 -
 .../holland-lib-common-1.0.10.ebuild               |  25 ----
 app-backup/holland-lib-common/metadata.xml         |   5 -
 app-backup/holland-lib-lvm/Manifest                |   1 -
 .../holland-lib-lvm/holland-lib-lvm-1.0.10.ebuild  |  25 ----
 app-backup/holland-lib-lvm/metadata.xml            |   5 -
 app-backup/holland/Manifest                        |   1 -
 app-backup/holland/holland-1.0.10.ebuild           |  54 -------
 app-backup/holland/metadata.xml                    |   5 -
 app-cdr/burn-cd/Manifest                           |   2 -
 app-cdr/burn-cd/burn-cd-1.8.0-r1.ebuild            |  31 ----
 app-cdr/burn-cd/burn-cd-1.8.1.ebuild               |  27 ----
 app-cdr/burn-cd/metadata.xml                       |  16 ---
 app-dicts/opendict/Manifest                        |   1 -
 app-dicts/opendict/metadata.xml                    |  11 --
 app-dicts/opendict/opendict-0.6.7-r1.ebuild        |  91 ------------
 app-editors/editra/Manifest                        |   1 -
 app-editors/editra/editra-0.7.20-r2.ebuild         |  54 -------
 app-editors/editra/files/editra-0.7.20-wx30.patch  |  44 ------
 app-editors/editra/metadata.xml                    |   8 --
 app-editors/leo/Manifest                           |   1 -
 app-editors/leo/leo-5.6.ebuild                     |  36 -----
 app-editors/leo/metadata.xml                       |   9 --
 app-emulation/playonlinux/Manifest                 |   2 -
 .../files/playonlinux-4.2.4-binary-plugin.patch    |  17 ---
 .../files/playonlinux-4.2.4-pol-bash.patch         |  35 -----
 .../playonlinux-4.2.6-stop-update-warning.patch    |  17 ---
 app-emulation/playonlinux/files/playonlinux-pkg.1  |  33 -----
 app-emulation/playonlinux/files/playonlinux.1      |  33 -----
 app-emulation/playonlinux/metadata.xml             |  15 --
 .../playonlinux/playonlinux-4.2.12.ebuild          | 118 ---------------
 .../playonlinux/playonlinux-4.3.4-r1.ebuild        | 108 --------------
 app-office/taskcoach/Manifest                      |   1 -
 .../files/taskcoach-1.4.3-version-check.patch      |  25 ----
 app-office/taskcoach/metadata.xml                  |  21 ---
 app-office/taskcoach/taskcoach-1.4.6.ebuild        |  41 ------
 app-text/bibus/Manifest                            |   2 -
 app-text/bibus/bibus-1.5.2-r3.ebuild               |  86 -----------
 app-text/bibus/files/bibus-1.5.2-bibus.cfg.patch   |  31 ----
 app-text/bibus/files/bibus-1.5.2-install.patch     | 110 --------------
 app-text/bibus/files/bibus-1.5.2-wx30.patch        | 158 ---------------------
 app-text/bibus/metadata.xml                        |  11 --
 dev-db/SchemaSync/Manifest                         |   3 -
 dev-db/SchemaSync/SchemaSync-0.9.2-r1.ebuild       |  24 ----
 dev-db/SchemaSync/SchemaSync-0.9.4.ebuild          |  23 ---
 dev-db/SchemaSync/SchemaSync-0.9.5.ebuild          |  23 ---
 dev-db/SchemaSync/metadata.xml                     |  12 --
 dev-python/squaremap/Manifest                      |   1 -
 dev-python/squaremap/metadata.xml                  |  15 --
 dev-python/squaremap/squaremap-1.0.4.ebuild        |  26 ----
 dev-util/wxglade/Manifest                          |   1 -
 .../wxglade/files/wxglade-0.6.3-wxversion.patch    |  12 --
 dev-util/wxglade/metadata.xml                      |  11 --
 dev-util/wxglade/wxglade-0.8.2-r1.ebuild           |  55 -------
 media-gfx/fontypython/Manifest                     |   1 -
 .../0001-Do-not-crash-on-empty-pogs-list.patch     |  21 ---
 ...nused-code-which-causes-crash-with-wx-3.0.patch | 134 -----------------
 ...python-3.0-which-enforces-assertions-on-L.patch |  28 ----
 .../fontypython/files/fontypython-pillow.patch     |  41 ------
 media-gfx/fontypython/fontypython-0.4.4-r3.ebuild  |  38 -----
 media-gfx/fontypython/metadata.xml                 |   8 --
 media-gfx/fr0st/Manifest                           |   1 -
 media-gfx/fr0st/files/fr0st-1.4-colour.patch       |   9 --
 media-gfx/fr0st/fr0st-1.4-r2.ebuild                |  57 --------
 media-gfx/fr0st/metadata.xml                       |   8 --
 profiles/package.mask                              |  38 -----
 sci-chemistry/apbs/Manifest                        |   1 -
 sci-chemistry/apbs/apbs-1.4.1-r2.ebuild            | 129 -----------------
 sci-chemistry/apbs/files/apbs-1.4.1-manip.patch    |  50 -------
 sci-chemistry/apbs/files/apbs-1.4.1-multilib.patch |  92 ------------
 sci-chemistry/apbs/files/apbs-1.4.1-python.patch   | 122 ----------------
 sci-chemistry/apbs/metadata.xml                    |  25 ----
 sci-chemistry/eden/Manifest                        |   1 -
 sci-chemistry/eden/eden-5.3-r2.ebuild              |  88 ------------
 sci-chemistry/eden/files/5.3-makefile-fixes.patch  |  60 --------
 .../eden/files/eden-5.3-format-security.patch      |  96 -------------
 sci-chemistry/eden/files/eden-5.3-impl-dec.patch   |  28 ----
 sci-chemistry/eden/files/makefile-fixes.patch      |  25 ----
 sci-chemistry/eden/metadata.xml                    |  12 --
 sci-chemistry/p3d/Manifest                         |   1 -
 sci-chemistry/p3d/metadata.xml                     |  21 ---
 sci-chemistry/p3d/p3d-0.4.3-r1.ebuild              |  29 ----
 sci-chemistry/p3d/p3d-9999.ebuild                  |  27 ----
 sci-chemistry/pdb-tools/Manifest                   |   1 -
 sci-chemistry/pdb-tools/metadata.xml               |  12 --
 sci-chemistry/pdb-tools/pdb-tools-0.2.1-r1.ebuild  |  79 -----------
 sci-chemistry/pdb-tools/pdb-tools-0.2.1-r2.ebuild  |  83 -----------
 sci-chemistry/pdb2pqr/Manifest                     |   1 -
 sci-chemistry/pdb2pqr/files/pdb2pka                |  13 --
 sci-chemistry/pdb2pqr/files/pdb2pqr                |  13 --
 .../pdb2pqr/files/pdb2pqr-1.9.0-flags.patch        |  45 ------
 .../pdb2pqr/files/pdb2pqr-1.9.0-install-py.patch   |  15 --
 sci-chemistry/pdb2pqr/metadata.xml                 |  15 --
 sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r3.ebuild      | 114 ---------------
 sci-chemistry/prodecomp/Manifest                   |   1 -
 sci-chemistry/prodecomp/metadata.xml               |  18 ---
 sci-chemistry/prodecomp/prodecomp-3.0-r3.ebuild    |  53 -------
 sci-chemistry/pymol-plugins-caver/Manifest         |   1 -
 sci-chemistry/pymol-plugins-caver/metadata.xml     |   8 --
 .../pymol-plugins-caver-2.1.2.ebuild               |  56 --------
 sci-chemistry/pymol-plugins-dssp/Manifest          |   1 -
 sci-chemistry/pymol-plugins-dssp/metadata.xml      |   8 --
 .../pymol-plugins-dssp-110430-r1.ebuild            |  39 -----
 sci-chemistry/pymol-plugins-promol/Manifest        |   1 -
 sci-chemistry/pymol-plugins-promol/metadata.xml    |   8 --
 .../pymol-plugins-promol-3.0.2-r1.ebuild           |  60 --------
 sci-chemistry/sparky/Manifest                      |   1 -
 sci-chemistry/sparky/files/3.115-fix-c++14.patch   |  32 -----
 sci-chemistry/sparky/files/3.115-ldflags.patch     |  61 --------
 sci-chemistry/sparky/files/3.115-makefile.patch    |  17 ---
 sci-chemistry/sparky/files/3.115-paths.patch       |  13 --
 sci-chemistry/sparky/files/3.115-wrapper-r1.patch  |  41 ------
 sci-chemistry/sparky/metadata.xml                  |   8 --
 sci-chemistry/sparky/sparky-3.115-r2.ebuild        | 117 ---------------
 www-apps/viewvc/Manifest                           |   1 -
 www-apps/viewvc/metadata.xml                       |  13 --
 www-apps/viewvc/viewvc-1.1.26-r1.ebuild            | 115 ---------------
 129 files changed, 3958 deletions(-)